function [RegTomografia] = FnTomoCranio(ImEntrada,fatorStrel)

clc; warning off;
ParametrosOsseo = struct( 'Area',	{0}, ...
                          'DistMedia',	{0}, ...  
                                 'Orientacao', {0});

ParametrosMole = struct( 'Area',	{0}, ...
                         'DistMedia',	{0}, ...                                 
                                 'Orientacao', {0});
                             
RegTomografia = struct( 'TecidoOsseo',	{0}, ...
                                 'TecidoMole', {0}, ...
                                 'Perda', {0}, ...
                                 'GraficoOsseo', {0}, ...
                                 'GraficoMole', {0}, ...
                                 'ParametrosOsseo', {0}, ...                                 
                                 'ParametrosMole', {0});

%le o arquivo e converte pra grayscale
    i1 = imread(ImEntrada);
    i2 = rgb2gray(i1);

%le a mascara e converte pra vis1 logica
    mascara = imread('mask.jpg');
    mascara = im2bw(mascara);

%filtra a vis1 retirando as partes escritas
    imagem = immultiply(mascara,i2);
    imagem_completa=imadjust(imagem,[],[]);
    %figure, imshow(vis1_completa);

%mostra osso
    %define threshold
    J=imagem_completa(:);
    [ind1]=find(J>20);
    J=J(ind1);
    
    level=graythresh(J);
    osso_mascara = im2bw(imagem_completa,level);
        
   
    %fim do threshold
    %level=graythresh(vis1_completa);
    %osso_mascara = im2bw(vis1_completa,level);
    osso_mascara = imopen(osso_mascara,strel('disk',round(str2double(fatorStrel)*5)));

%mostra massa mole
    %separa a parte cinza
    i3 = immultiply(imagem_completa,~osso_mascara);
    %figure, imshow(i3);
    i4=imadjust(i3,[],[]);
    %figure, imshow(i4);
    
    mole_mascara = im2bw(i4,10/255);
    mole_mascara = imopen(mole_mascara,strel('disk',round(str2double(fatorStrel)*8)));
    %figure, imshow(mole_mascara);
    
    osso_aux = imopen(osso_mascara,strel('disk',round(str2double(fatorStrel)*7)));
    osso_aux = imdilate(osso_aux,strel('disk',round(str2double(fatorStrel)*7)));
    osso_mascara = and(osso_mascara, osso_aux);
    RegTomografia.TecidoOsseo = osso_mascara;
    
    %osso_padrao = imerode(osso_padrao, strel('disk',5));
    %mole_padrao = imerode(mole_padrao, strel('disk',3));
    
    %imagem_limpa = FnRemPadrao(ImEntrada, mole_padrao);
    %RegTomografia.TecidoMole = mole_mascara;
    %TESTE DE REMOVER PADRAO
    
%soma as mascaras do o osso e o tecido mole
    %soma=mole_mascara+osso_mascara;
    %figure,imshow(soma);

%mostra a diferenca entre a vis1 original e a soma das imagens filtradas
    soma=mole_mascara+osso_mascara;
    soma = im2bw(soma);
    
    %identifica os espacos de ar
    diferenca = ~soma;
    diferenca = im2bw(diferenca);    
    diferenca = imopen(diferenca,strel('disk',round(str2double(fatorStrel)*18)));
    
    soma = ~diferenca;
    
    %tecido mole = total - espacos de ar - tecido osseo
    mole_mascara = soma - osso_mascara;
    RegTomografia.TecidoMole = mole_mascara;
    
    diferenca=imsubtract(imagem_completa,immultiply(imagem_completa,soma));
    %axes(handles.vis4);imshow(diferenca);
    RegTomografia.Perda = diferenca;
    
    graf1 = sum(osso_mascara);
    RegTomografia.GraficoOsseo = graf1;

    graf2 = sum(mole_mascara);
    RegTomografia.GraficoMole = graf2;
    
 % propriedades
    %atribui os parametros
    intervalo=0;
    v = sum(osso_mascara);
    for i=1:1025
        if (v(i) ~= 0)
        intervalo = intervalo+1;
        end
    end
    
    RegTomografia.ParametrosOsseo.Area = bwarea(osso_mascara);
    %RegTomografia.ParametrosOsseo.Orientacao = prop1(indice).Orientation;    
    media = (RegTomografia.ParametrosOsseo.Area / intervalo);
    RegTomografia.ParametrosOsseo.DistMedia = media;    

    intervalo=0;
    v = sum(mole_mascara);
    for i=1:1025
        if (v(i) ~= 0)
        intervalo = intervalo+1;
        end
    end
    
    RegTomografia.ParametrosMole.Area = bwarea(mole_mascara);
    %RegTomografia.ParametrosMole.Orientacao = prop2(indice).Orientation;
    media1 = (RegTomografia.ParametrosMole.Area / intervalo);    
    RegTomografia.ParametrosMole.DistMedia = media1;        

